signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ExampleData Class Reference

Data container to hold values for example authentication session. More...

`#include <exampledata.h>`

Inheritance diagram for ExampleData:
[legend]
Collaboration diagram for ExampleData:
[legend]

## Public Member Functions
| SIGNON_SESSION_DECLARE_PROPERTY (QString, Example)
| Declare property Example setter and getter. More...
| SIGNON_SESSION_DECLARE_PROPERTY (QString, Params)
| Declare property Params setter and getter. More...
| SIGNON_SESSION_DECLARE_PROPERTY (QString, Tos)
| Declare property Tos setter and getter Can be used to set Terms of Service message. More...

## Detailed Description

Data container to hold values for example authentication session.

Definition at line 31 of file exampledata.h.

## Member Function Documentation

ExampleData::SIGNON_SESSION_DECLARE_PROPERTY | ( | QString | ,
|  | Example |
| ) |  |

Declare property Example setter and getter.

ExampleData::SIGNON_SESSION_DECLARE_PROPERTY | ( | QString | ,
|  | Params |
| ) |  |

Declare property Params setter and getter.

ExampleData::SIGNON_SESSION_DECLARE_PROPERTY | ( | QString | ,
|  | Tos |
| ) |  |

Declare property Tos setter and getter Can be used to set Terms of Service message.

The documentation for this class was generated from the following file:

- src/plugins/example/exampledata.h